
QGIS Application - Bug report #4101

No indication of the problem when opening a project with an unsupported layer

2011-07-20 12:55 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14083

Description

Running trunk, when adding an existing project which includes a layer that QGIS cannot load (e.g. an .ecw layer, when the gdal-ecw

driver or the required erdas libraries are not present), this layer will be displayed in the "Handle bad layers" dialogue, but its filepath is

shown in green, and there is nothing to tell the user why the file can't be loaded.

It needs to somewhere have a message like the one displayed when you try to add an unsupported file as a layer: "xxx is not a valid or

recognised data source".

History

#1 - 2011-07-20 01:02 AM - Alister Hood

I guess maybe the fact that the "provider" column says "none" is supposed to indicate what the problem is.  But then I think this isn't working properly,

because it always says "none", even when the problem is that the file does not exist.

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
